FireflyAlgorithm::RandomWalk Class Referenceabstract

Base Random Walk class. More...

`#include <ql/experimental/math/fireflyalgorithm.hpp>`

Inheritance diagram for FireflyAlgorithm::RandomWalk:
[legend]

## Public Member Functions

void | walk ()
| perform random walk

## Protected Member Functions

virtual void | walkImpl (Array &xRW)=0
virtual void | init (FireflyAlgorithm *fa)

## Protected Attributes

Size | Mfa_
Size | N_
const std::vector< Array > * | x_
const std::vector< std::pair< Real, Size > > * | values_
std::vector< Array > * | xRW_
Array * | lX_
Array * | uX_

## Friends

class | FireflyAlgorithm

## Detailed Description

Base Random Walk class.

Derived classes need to implement only walkImpl